Skip to main content
Groups created in an enterprise.

Group

A standard representation of a group, as returned from any group API endpoints by default.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this object.
typeenum<string>YesThe value will always be group. Available options: group.
namestringNoThe name of the group.
group_typeenum<string>NoThe type of the group. Available options: managed_group, all_users_group.
created_atstringNoWhen the group object was created.
modified_atstringNoWhen the group object was last modified.
Example
{
  "id": "11446498",
  "type": "group",
  "name": "Support",
  "group_type": "managed_group",
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00"
}

Group (Base)

A base representation of a group.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this object.
typeenum<string>YesThe value will always be group. Available options: group.
Example
{
  "id": "11446498",
  "type": "group"
}

Group (Full)

Groups contain a set of users, and can be used in place of users in some operations, such as collaborations.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this object.
typeenum<string>YesThe value will always be group. Available options: group.
namestringNoThe name of the group.
group_typeenum<string>NoThe type of the group. Available options: managed_group, all_users_group.
created_atstringNoWhen the group object was created.
modified_atstringNoWhen the group object was last modified.
provenancestringNoKeeps track of which external source this group is coming from (e.g. “Active Directory”, “Google Groups”, “Facebook Groups”). Setting this will also prevent Box users from editing the group name and its members directly via the Box web application. This is desirable for one-way syncing of groups.
external_sync_identifierstringNoAn arbitrary identifier that can be used by external group sync tools to link this Box Group to an external group. Example values of this field could be an Active Directory Object ID or a Google Group ID. We recommend you use of this field in order to avoid issues when group names are updated in either Box or external systems.
descriptionstringNoHuman readable description of the group.
invitability_levelenum<string>NoSpecifies who can invite the group to collaborate on items. When set to admins_only the enterprise admin, co-admins, and the group’s admin can invite the group. When set to admins_and_members all the admins listed above and group members can invite the group. When set to all_managed_users all managed users in the enterprise can invite the group. Available options: admins_only, admins_and_members, all_managed_users.
member_viewability_levelenum<string>NoSpecifies who can view the members of the group (Get Memberships for Group). - admins_only - the enterprise admin, co-admins, group’s group admin. - admins_and_members - all admins and group members. - all_managed_users - all managed users in the enterprise. Available options: admins_only, admins_and_members, all_managed_users.
permissionsobjectNoThe permissions that the authenticated user has for a group.
Example
{
  "id": "11446498",
  "type": "group",
  "name": "Support",
  "group_type": "managed_group",
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00",
  "provenance": "Active Directory",
  "external_sync_identifier": "AD:123456",
  "description": "Support Group - as imported from Active Directory",
  "invitability_level": "admins_only",
  "member_viewability_level": "admins_only",
  "permissions": {
    "can_invite_as_collaborator": true
  }
}

Group (Mini)

Mini representation of a group, including id and name of group.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this object.
typeenum<string>YesThe value will always be group. Available options: group.
namestringNoThe name of the group.
group_typeenum<string>NoThe type of the group. Available options: managed_group, all_users_group.
Example
{
  "id": "11446498",
  "type": "group",
  "name": "Support",
  "group_type": "managed_group"
}

Groups

A list of groups.
PropertyTypeRequiredDescription
total_countintegerNoOne greater than the offset of the last entry in the entire collection. The total number of entries in the collection may be less than total_count. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
offsetintegerNoThe 0-based offset of the first entry in this set. This will be the same as the offset query parameter. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
orderarray of objectNoThe order by which items are returned. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
entriesarray of Group (Full)NoA list of groups.
Example
{
  "total_count": 5000,
  "limit": 1000,
  "offset": 2000,
  "order": [
    {
      "by": "type",
      "direction": "ASC"
    }
  ],
  "entries": [
    {
      "id": "11446498",
      "type": "group",
      "name": "Support",
      "group_type": "managed_group",
      "created_at": "2012-12-12T10:53:43-08:00",
      "modified_at": "2012-12-12T10:53:43-08:00",
      "provenance": "Active Directory",
      "external_sync_identifier": "AD:123456",
      "description": "Support Group - as imported from Active Directory",
      "invitability_level": "admins_only",
      "member_viewability_level": "admins_only",
      "permissions": {
        "can_invite_as_collaborator": true
      }
    }
  ]
}
Last modified on July 9, 2026